"""
# Convert output from MOST in ferret format to sww format
#
#    lat and lons converted to UTM
#    units normalised to SI units
#    UTM reference point obtained from mesh file used with sww
#    to ensure comptaible coordinates.
#    region is trimmed down by specifying a rectangular bounding box.
"""


import os
import project

#Directory for source data  
s = os.sep
source_dir = project.boundarydir


#Data
from pyvolution.data_manager import ferret2sww


south = project.south 
north = project.north
west = project.west
east = project.east


#Origin of existing dem (Temporary measure)
mesh_origin = (50, 421544.35127423, 7677669.5257159)

    

ferret2sww(source_dir+project.boundary_basename,
           project.boundary_basename, 
           verbose=True,
           minlat=south-1, maxlat=north+1,
           minlon=west-1, maxlon=east+1,
           origin = mesh_origin,
           zscale = 1,
           fail_on_NaN = False,
           inverted_bathymetry = True),





