"""Common filenames and locations for topographic data, meshes and outputs.
"""


from os import sep
from os.path import expanduser

home = expanduser('~')


meshdir = home+sep+'karratha_tsunami_scenario_2005'+sep+'meshes'+sep
datadir = home+sep+'karratha_tsunami_scenario_2005'+sep+'topographies'+sep
outputdir = home+sep+'karratha_tsunami_scenario_2005'+sep+'output'+sep
boundarydir = home+sep+'karratha_tsunami_scenario_2005'+sep+'boundaries'+sep


basename = 'karratha_250m'
meshname = meshdir + basename
demname = datadir + basename
boundaryname = boundarydir + 'SU-AU'

boundary_basename = 'SU-AU'

#Georeferencing
from pyvolution.coordinate_transforms.redfearn import degminsec2decimal_degrees

south = degminsec2decimal_degrees(-20,45,0)
north = degminsec2decimal_degrees(-20,15,0)
west = degminsec2decimal_degrees(116,30,0)
east = degminsec2decimal_degrees(117,0,0)


refzone = 50
